Subject: Re: bug#34135: IceCat lacks WebGL support

From: Julien Lepiller <[email-masked]>
Date: Sat, 19 Jan 2019 18:07:50 +0100

Le Sat, 19 Jan 2019 16:49:02 +0100,
Ludovic Courtès <[email-masked]> a écrit :

> Hello,
> 
> If you enable WebGL support in ‘about:config’, then stop it and run:
> 
> --8<---------------cut here---------------start------------->8---
> $ export LIBGL_DRIVERS_PATH=$(guix build mesa)/lib/dri
> $ icecat https://get.webgl.org
> 1547912837231
> addons.webextension.tortm-browser-button@jeremybenthum  WARN
> Please specify whether you want browser_style or not in your
> browser_action options. 1547912837231
> [email-masked]    WARN    Please
> specify whether you want browser_style or not in your browser_action
> options. 1547912837232
> addons.webextension.{d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d}
> WARN    Please specify whether you want browser_style or not in your
> browser_action options. JavaScript warning:
> moz-extension://b84ee99d-7e50-4975-9d16-3806d330a3b2/lib/adblockplus.js,
> line 0: Successfully compiled asm.js code (total compilation time
> 1ms; not stored in cache (too small ) libGL error: MESA-LOADER:
> failed to retrieve device information libGL error: unable to load
> driver: i915_dri.so libGL error: driver pointer missing libGL error:
> failed to load driver: i915 libGL error: MESA-LOADER: failed to
> retrieve device information libGL error: unable to load driver:
> i915_dri.so libGL error: driver pointer missing libGL error: failed
> to load driver: i915 libGL error: unable to load driver:
> swrast_dri.so libGL error: failed to load driver: swrast JavaScript
> warning: https://get.webgl.org/, line 193: Error: WebGL warning:
> Failed to create WebGL context: WebGL creation failed: 
> * Error during native OpenGL init.
> * Exhausted GL driver caps.
> * Exhausted GL driver options.
> JavaScript warning: https://get.webgl.org/, line 197: Error: WebGL
> warning: Failed to create WebGL context: WebGL creation failed: 
> * Error during native OpenGL init.
> * Exhausted GL driver caps.
> * Exhausted GL driver options.
> --8<---------------cut here---------------end--------------->8---
> 
> and the web page reads:
> 
>    While your browser seems to support WebGL, it is disabled or
>    unavailable.
> 
> Weird thing is that glxgears and glxinfo (from ‘mesa-utils’) both work
> well.
> 
> Thoughts?
> 
> Ludo’.

Try setting security.sandbox.content.read_path_whitelist to /gnu/store/
(with a leading /) in about:config.